import { EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
export declare class MatMultiselectComponent implements OnInit {
    /**
     * Input Data to be passed from parent in the following format
     * { placeHolder: 'Locations', enableSelectClear: true, enableSearch: true }
     */
    data: any;
    /**
     * Input Options to be passed from parent in the following format array
     * [ {name: 'ind', value: 'India'} ]
     */
    options: any[];
    /**
     * Output to parent for selected options
     */
    changeSelection: EventEmitter<any[]>;
    /**
     * Child mat checkbox
     */
    matCheckbox: any;
    /**
     * form control for multiselect dropdown
     */
    multiSelect: FormControl;
    /**
     * selected options in dropdown component
     */
    selectedOptions: any[];
    /**
     * indeterminate state od select all checkbox
     */
    indeterminate: boolean;
    /**
     * input search text
     */
    matSearch: string;
    /**
     * Constructor
     */
    constructor();
    /**
     * Angular lifecycle event : run once after ngOnChanges
     */
    ngOnInit(): void;
    /**
     * Event for option click in multiselect dropdown
     * @param option selected option in multiselect dropdown
     */
    optionClick(option: any): void;
    /**
     * Event to emit selected values to parent throgh changeSelection event emmiter
     */
    emitValue(): void;
    /**
     * Event for changing the state of select all checkbox according to option's state
     * @param value checked value
     */
    changeState(value: boolean): void;
    /**
     * Event for evaluating the state of select all checkbox according to option's state
     */
    evaluateStates(): void;
}
